%define name	pugs
%define version	6.2.9
%define	release	1mdk
%define module  Perl6-Pugs

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Perl 6 interpreter
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.pugscode.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:	ghc >= 6.4

%define _requires_exceptions perl(
%define _provides_exceptions perl(

%description
Pugs is an interpreter for Perl 6, written in Haskell. It aims to implement
the full Perl6 specification, as detailed in the Synopses.

This pugs is built without support for inline Haskell, and without parrot
embedding (thus you'll need parrot in your PATH to use Perl 6 rules support).

%prep
%setup -q -n %{module}-%{version}

%build
export PUGS_EMBED=perl5
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# note that this is a transient Perl 6 lib directory.
rm -f %{buildroot}/usr/lib/perl6/*/perllocal.pod

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README READTHEM VICTUALS examples
%{perl_vendorlib}/Perl6/*
%{perl_vendorlib}/Inline/*
%{perl_vendorlib}/pugs/*
%{_mandir}/*/*
%{_bindir}/*
%{_libdir}/perl6

%changelog
* Thu Aug 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.2.9-1mdk
- 6.2.9

* Sat Jul 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.2.8-2mdk
- Remove automatic provides and requires (generated by rpm thinking there are
  Perl 5 packages in there).

* Sat Jul 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.2.8-1mdk
- 6.2.8

* Mon Jun 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.2.7-1mdk
- 6.2.7

* Thu Jun 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.2.6-1mdk 
- 6.2.6
- BuildRequires
- Fix URL
- Build with embedded perl 5 (but no parrot nor haskell)

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.2.2-1mdk
- 6.2.2

* Sun Apr 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 6.2.1-1mdk
- 6.2.1
- put make test in check section

* Sun Mar 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.0.12-1mdk
- 6.0.12

* Sun Mar 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.0.11-1mdk
- 6.0.11

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.0.10-1mdk
- 6.0.10

* Sun Feb 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.0.8-1mdk
- Initial MDK release.
